EDIT - bug #8747

Matrix Editor: Can not unset categorical data
12/05/2019 05:20 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

Once categorical data state has been set in a cell this cell can not be made blank

History

#1 - 12/06/2019 12:21 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 0 to 50

You have to hold CTRL and select the chosen state again to de-select.

#2 - 12/06/2019 06:19 PM - Andreas Kohlbecker
- Status changed from Resolved to New
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- % Done changed from 50 to 0
| don't consider this as user friendly. Is this default behavior of the nattable?
Since there are check boxes in the popup lists the checkbox state should be toggled each time when being clicked.
#3 - 12/09/2019 04:03 PM - Patrick Plitzner
- Status changed from New to Feedback
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker
Andreas Kohlbecker wrote:
| don't consider this as user friendly. Is this default behavior of the nattable?
Since there are check boxes in the popup lists the checkbox state should be toggled each time when being clicked.

This is actually the default behavior. | do not know if it is hard to change this behavior. | also agree, that this is not really user friendly. It may have to
do with the Multi-select which also works with CTRL.

#4 - 12/10/2019 09:15 AM - Andreas Kohlbecker
- Status changed from Feedback to In Progress

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

Please change it so that checkbox state is toggled each time when being clicked.

#5 - 12/10/2019 09:59 AM - Andreas Miiller
- Status changed from In Progress to New
- Assignee changed from Patrick Plitzner to Katja Luther

- Target version changed from Release 5.12 to Unassigned CDM tickets
This should be done sooner or later but it has not highest priority so not a task for PP anymore. Change user and version. Priority needs to be
discussed during ticket review.

#6 - 12/10/2019 11:00 AM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.12

Sorry, but | consider the priority of this ticket here as being much higher than the priority of #8755. #8755 does not block anything, this here prevents
completely from deleting accidentally set states.
Therefore | am putting it back into the current milestone. Please decide who can care for this.

#7 - 12/10/2019 06:44 PM - Andreas Miiller

- Target version changed from Release 5.12 to Unassigned CDM tickets
